@import "../../../global.scss";

.container {
  display: inline-block;
  margin: $med-mg;
  .button {
    border: none;
    border: 1pt solid $dark-green;
    background: none;
    color: $dark-green;
    padding: 7px 35px 9px 35px;
    border-radius: 50px;
    transform: translateY(0);
    background-color: $light-grey;
    display: block;
    transition: all 0.3s ease;
    cursor: pointer;
    outline: none;
    &:hover {
      box-shadow: $big-shadow;
      transform: translateY(-1px);
      background-color: white;
      border: 1pt solid $green;
      color: $green;
    }
  }
  .disabled {
    .button {
      pointer-events: none;
      cursor: not-allowed;
      border: 1pt solid $med-grey;
      color: $med-grey;
    }
  }
  .green {
    .button {
      border: 1pt solid $green;
      background-color: $green;
      color: white;
      &:hover {
        background-color: $light-green;
        border: 1pt solid $light-green;
      }
    }
    .disabled {
      .button {
        pointer-events: none;
        cursor: not-allowed;
        border: 1pt solid $med-grey;
        color: $med-grey;
        background: none;
      }
    }
  }
}
